Bug 5234 - Remove unused CSS files
Summary: Remove unused CSS files
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-20 20:08 UTC by Owen Leonard
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (46.50 KB, patch)
2011-02-09 14:07 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2010-09-20 20:08:22 UTC
These CSS files look like they're a relic of pre-3.0 days:

intranet-print.css
intranet.css
intranet2.css
intranet2popup.css

This one hasn't been touched sine 2007:

staff-global2.css

...Is it used by anyone?

What about blue.css?
Comment 1 Owen Leonard 2011-02-09 14:07:22 UTC
Created attachment 3111 [details] [review]
Proposed fix

Patch leaves blue.css since some are still using it.
Comment 2 MJ Ray (software.coop) 2011-03-05 10:34:18 UTC
This bug is mentioned in:
Fix for Bug 5234 - Remove unused CSS files http://lists.koha-community.org/pipermail/koha-patches/2011-February/013799.html
Comment 3 Magnus Enger 2011-04-07 13:36:46 UTC
The patch removes the CSS files, and I can see no ill effects in the staff client. Grepping through all Koha files for the file names of the CSS files does not show them being used anywhere. Signing off.
Comment 4 Chris Cormack 2011-04-08 22:23:48 UTC
Pushed please test
Comment 5 Owen Leonard 2011-08-22 13:49:38 UTC
It doesn't look like this patch was actually pushed. The files are still there.
Comment 6 Chris Cormack 2011-08-22 20:37:09 UTC
It was pushed, it is in master

commit id 8464104fb299d1b1d707c0a083a04dce7c108953

http://git.koha-community.org/gitweb/?p=koha.git;a=commit;h=8464104fb299d1b1d707c0a083a04dce7c108953

Maybe it wasn't cherry-picked to 3.4?
Comment 7 Owen Leonard 2011-09-13 15:01:23 UTC
Ian pointed out to me on IRC that it looks like the removed files came back when we converted to T:T
Comment 8 Chris Cormack 2011-09-13 20:52:13 UTC
Reapplied and pushed